Bug 268068 - Selecting an already opened session should offer a better choice.
Summary: Selecting an already opened session should offer a better choice.
Status: RESOLVED FIXED
Alias: None
Product: kate
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KWrite Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-09 16:57 UTC by Nicolas Bigaouette
Modified: 2011-06-24 20:19 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nicolas Bigaouette 2011-03-09 16:57:59 UTC
Version:           unspecified (using KDE 4.6.1) 
OS:                Linux

I set kate to show a choice of sessions at startup. If I select a session which is already opened in another kate instance, it will ask me:
"Session 'SESSION_NAME' is already opened in another kate instance, change there instead of reopening?"
with a choice of "Yes" and "No". Selecting "Yes" will put focus on the already opened kate session. That's fine.

But hitting "No" just close the launched kate. It should at least offer to open another session. For example, "Yes" "No" "The folowing session/Choose another session".

Reproducible: Always

Steps to Reproduce:
1) Set kate to show session list at startup: "Settings/Configure Kate/Application/Sessions/Behaviour on Application Startup" set to "Manually choose a session".
2) Launch kate, select a session.
3) Launch kate again and try to open the same session. The following popup appear:
    "Session 'SESSION_NAME' is already opened in another kate instance, change there instead of reopening?" with a choice of "Yes" or "No".
4) Select "No".

Actual Results:  
The new kate instance will close completely.

Expected Results:  
Kate should offer to open another session. The simplest form would be to re-open the popup asking which session to open when the user clicks "No". A sligthly better approach would be to add a third button "Choose a different session".
Another way would be to include this session list in the "already opened" popup.

Kate 3.6.1, KDE 4.6.1, ArchLinux x86_64
Comment 1 Christoph Cullmann 2011-06-24 20:19:10 UTC
Git commit ccb7b16b30b9afd918cadf6853ee5e93b7e9de15 by Christoph Cullmann.
Committed on 24/06/2011 at 22:18.
Pushed by cullmann into branch 'master'.

allow user to select other session on startup
BUG: 268068

M  +2    -2    kate/app/katesession.cpp     

http://commits.kde.org/kate/ccb7b16b30b9afd918cadf6853ee5e93b7e9de15